/* 
 * plane.h - This file contains the defines for planes etc.
 *
 *  $Id: plane.h,v 1.10 1997/12/15 12:12:15 johns Exp $
 */

 
object * newplane(void * tex, vector ctr, vector norm);

#ifdef PLANE_PRIVATE
typedef struct {
  unsigned int id;                      /* Unique Object serial number    */
  void * nextobj;                       /* pointer to next object in list */
  object_methods * methods;             /* this object's methods          */
  texture * tex;                        /* object texture                 */
  flt d;
  vector norm;
} plane; 

static void plane_intersect(plane *, ray *);
static int plane_bbox(void * obj, vector * min, vector * max);
static void plane_normal(plane *, vector *, ray * incident, vector *);
#endif

